Subject: [GROW] A request for GROW to adopt draft-mlevy-ixp-jumboframes-00.txt

From: "Martin J. Levy" <[email-masked]>
Date: Mon, 14 Nov 2011 23:05:52 -0800

I would like to request that GROW consider adopting the following Internet Draft.

	http://www.ietf.org/internet-drafts/draft-mlevy-ixp-jumboframes-00.txt

This draft addresses the ability for Internet Exchange Points (IXPs) to provide connectivity between peering partners (or IXP customers) via a larger-than-1,500 Byte MTU path.  There are various technical and operational issues involved in providing a large MTU path to IXP customers. These issues are addressed in the draft.  The draft has been reviewed by various operators of Internet Exchanges and also parties with real-world large MTU experience.

The draft is not meant to be a panacea for end-to-end large MTU communications - that's outside of the scope of the draft. It addresses IXPs and their customers because that's a common point for many networks to interconnect. At an IX all peers need to have a consistent configuration in order for there not to be an operational issue.

In reading ...

> The purpose of the GROW is to consider the operational problems associated with the IPv4 and IPv6 global routing systems, ...

... It seems that the GROW area of IETF is the appropriate forum for this draft. Peering and peering points are central to the operation of the global Internet. Their well-being is important to the community and while some IX's have successfully operated for years with a large MTU service (NETNOD in Sweden for example), it's never been documented.  Now is the time to do this and hopefully other IXs around the globe will start to offer large MTU services because of this.

Please read over this draft and consider adopting this draft into GROW.

Thanks in advance,

Martin

  Martin J. Levy
  Director IPv6 Strategy
  Hurricane Electric
  760 Mission Court,
  Fremont, CA 94539, USA
  +1 408 499 3801 (mobile)
  [email-masked] (email)
  http://he.net/ (web)

-------- Original Message --------
Subject: I-D Action: draft-mlevy-ixp-jumboframes-00.txt
Date: Mon, 14 Nov 2011 20:02:26 -0800
From: [email-masked]
Reply-To: [email-masked]
To: [email-masked]

A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title           : Jumbo Frame Deployment at Internet Exchange Points (IXPs)
	Author(s)       : Martin J. Levy
	Filename        : draft-mlevy-ixp-jumboframes-00.txt
	Pages           : 22
	Date            : 2011-11-14

  This document provides guidelines on how to deploy Jumbo Frame
  support on Internet Exchange Points (IXP).  Jumbo Frame support
  allows packets larger than 1,500 Bytes to be passed between IXP
  customers over the IXPs layer 2 fabric.  This document describes
  methods to enable Jumbo Frame support and keep in place existing
  1,500 Byte communications.

  This document strongly recommends that IXP operators choose 9,000
  Bytes for their Jumbo Frame implementation.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-mlevy-ixp-jumboframes-00.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

This Internet-Draft can be retrieved at:
ftp://ftp.ietf.org/internet-drafts/draft-mlevy-ixp-jumboframes-00.txt
_______________________________________________
I-D-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft directories: http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 15 Nov 2011 12:37:04 -0800

Hi Martin,

Nice document. Here are a few first-pass comments (I
may have more later):

1) Section 1.2, change: "can only be 1,500 Bytes"
   to: "can be at most 1,500 Bytes".

2) Section 1.3, change: "IXPs has" to: "IXPs have".

3) Section 1.5, need to define "small MTU size packets",
   since some consider 1500 bytes to be large. Do you
   mean to say "a majority of Internet traffic today
   uses packets that are no larger than 1500 bytes" ?

4) Section 3, change: "any MTU side" to: "any MTU size".
   Or, perhaps more specifically, "the IP protocol can
   handle any MTU size up to 64KB, or even larger if
   IPv6 jumbograms are used [RFC2675]" ?

5) Section 3.3, "it's not clear than frames larger than
   approximately 9,000 Bytes are well protected". The
   first "than" should be "that", but most importantly
   this would be a good place to cite supporting works.
   Here are a few suggestions:

    Koopman, P., "32-Bit Cyclic Redundancy Codes for
    Internet Applications", Dec. 2002.

    Stone, J. & Partridge, C., "When the CRC and TCP
    Checksum Disagree", Aug. 2000.

    Jain, R., "Error Characteristics of Fiber Distributed
    Data Interface (FDDI), August 1990.

6) Section 4, change: "in the interest of the IXP and
   it's" to: "in the interest of the IXP and its".

7) Section 10.d, change: "No PMTU (Path MTU) packet"
   to: "No Path MTU Discovery (PMTUD) error message".

8) Section 10.1, change title to: "Path MTU Discovery
   (PMTUD) Issues".

9) Section 10.1, change: "is considered often NOT to
   work" to: "has known operational issues". Also cite:

   Luckie, M. & Stasiewicz, B., "Measuring Path MTU
   Discovery Behavior", Nov. 2010.

   Luckie, M., Cho, K., & Owens, B., "Inferring and
   Debugging Path MTU Discovery Failures", Oct. 2005.

   Medina, A., Allman, M., & Floyd, S., "Measuring
   Interactions Between Transport Protocols and
   Middleboxes", Oct. 2004.

10) Section 10.1, "However neither the IPv4 or IPv6 PMTU
    methods will work if the layer 2 fabric has a
    mismatched value.". You might want to cite Iljitsch's
    document here:

    van Beijnum, I., "Extensions for Multi-MTU Subnets",
    Jul. 2012.

11) Section 10.1, suggest adding a trailing sentence such
    as: "These issues have led to a recommendation for
    end-to-end PMTU determination [RFC4821] in addition
    to the classical network-based methods.".

That's it for now; thanks for posting the document.

Fred
[email-masked]

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Martin J. Levy
> Sent: Monday, November 14, 2011 11:06 PM
> To: [email-masked]
> Subject: [GROW] A request for GROW to adopt 
> draft-mlevy-ixp-jumboframes-00.txt
> 
> This draft addresses the ability for Internet Exchange Points 
> (IXPs) to provide connectivity between peering partners (or 
> IXP customers) via a larger-than-1,500 Byte MTU path.  There 
> are various technical and operational issues involved in 
> providing a large MTU path to IXP customers. These issues are 
> addressed in the draft.  The draft has been reviewed by 
> various operators of Internet Exchanges and also parties with 
> real-world large MTU experience.
> 
> The draft is not meant to be a panacea for end-to-end large 
> MTU communications - that's outside of the scope of the 
> draft. It addresses IXPs and their customers because that's a 
> common point for many networks to interconnect. At an IX all 
> peers need to have a consistent configuration in order for 
> there not to be an operational issue.
> 
> In reading ...
> 
> > The purpose of the GROW is to consider the operational 
> problems associated with the IPv4 and IPv6 global routing systems, ...
> 
> ... It seems that the GROW area of IETF is the appropriate 
> forum for this draft. Peering and peering points are central 
> to the operation of the global Internet. Their well-being is 
> important to the community and while some IX's have 
> successfully operated for years with a large MTU service 
> (NETNOD in Sweden for example), it's never been documented.  
> Now is the time to do this and hopefully other IXs around the 
> globe will start to offer large MTU services because of this.
> 
> GROW mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/grow
>